{% load static %}

{% block meta %}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://code.jquery.com/jquery-2.2.4.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>

<style>
  .container {
  ;
  width: 500px;
  height: auto;
  margin: 0 auto;
}

.item {
  display: block;
  width: inherit;
 
  line-height: 40px;
  background: crimson;
  border: 1px solid #000;
  cursor: pointer;
  color: black;
}

.item-data {
  display: none; 
  width: inherit;
  height: auto;
  border: 1px solid #ccc;
}

.active {
  background: #eee;
  color: #000;
}
.item-data div{
  margin: 30px;
}

input{
  background: crimson;
}
</style>
{% endblock meta %}
{% block content %}

<h3 style="text-align:center;">Story 7</h3>

<div class='container'>
  <div class='item'>
    <div>
      Deskripsi
	    <input type="button"value="^" class="up-button"/>  
      <input type="button" value="v" class="down-button"/>
    </div>
  </div>
  <div class='item-data'>
    <div>Saya merupakan mahasiswa Fakultas Ilmu Komputer jurusan Sistem Informasi angkatan 2019 Universitas Indonesia</div>
  </div>

  <div class='item'>
    <div>
      Riwayat Pendidikan
	    <input type="button"value="^" class="up-button"/>  
      <input type="button" value="v" class="down-button"/>
    </div>
  </div>
  <div class='item-data'>
    <div>
      1. SD Islam Al Azhar 15 Pamulang (2007 - 2013)<br>
      2. SMP Islam Al Azhar 3 Bintaro (2013 - 2016)<br>
      3. SMA Islam Al Azhar 1 Kebayoran Baru (2016 - 2019)<br>
      4. Sistem Informasi Universitas Indonesia (2019 - )<br>
    </div>
  </div>

  <div class='item'>
    <div>
      Riwayat Organisasi / Kepanitiaan
	    <input type="button"value="^" class="up-button"/>  
      <input type="button" value="v" class="down-button"/>
    </div>
  </div>
  <div class='item-data'>
    <div>
      1. Al Azhar Seni Bela Diri (2013 - 2015)<br>
      2. Al Azhar Seni Bela Diri (2017 - 2018)<br>
      3. Kelompok Pengkajian Islam (2018 - 2019)<br>
      4. Sosmas Salam Universitas Indonesia (2020 - )<br>
    </div>
  </div>

  <div class='item'>
    <div>
      Kontak
	    <input type="button"value="^" class="up-button"/>  
      <input type="button" value="v" class="down-button"/>
    </div>
  </div>
  <div class='item-data'>
    <div>
      Instagram  : @ivanismempire<br>
      Line       : @ivanism.empire<br>
      Whatsapp   : +6287885163835<br>
    </div>
  </div>
</div>

<script>
  $(document).ready(function(e){
    $('.item').click(function (e){
      if($(this).next('.item-data').css('display') != 'block'){
        $('.active').slideUp('fast').removeClass('active');
        $(this).next('.item-data').addClass('active').slideDown('slow');
      
      } else {
        $('.active').slideUp('fast').removeClass('active');
      }
    });
  
    $('.up-button').click(function(){
      $(this).parents('.item').insertBefore($(this).parents('.item').prev());
    });

    $('.down-button').click(function(){
      $(this).parents('.item').insertAfter($(this).parents('.item').next());
    });
  });
</script>

{% endblock content %}